# Return backups in home directory

This function lists all of the backup files and directories in the user's home directory.

Important:

When you disable the File Storage role, the system disables this function.

Endpoint: GET /Restore/directory_listing
Version: 11.138.0.10
Security: BasicAuth

## Query parameters:

  - `path` (string, required)
    A path to a subdirectory within the user's home directory, or any level below it.

Note:

The value of this parameter must begin and end with a forward slash (/) for security purposes.
    Example: "/public_html/"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "directory_listing"

  - `module` (string)
    The name of the module called.
    Example: "Restore"

  - `result` (object)

  - `result.data` (array)
    An object that contains information about a specific item stored in the backup.

  - `result.data.conflict` (integer)
    Whether a difference exists between the type and onDiskType returns.
* 1 - Conflict exists.
* 0 - No conflict exists.
    Enum: 0, 1

  - `result.data.exists` (integer)
    Whether the file exists in the user's directory or only in the backup.
* 1 - File exists in the user's directory.
* 0 - File exists only in the backup.
    Enum: 0, 1

  - `result.data.name` (string)
    The name of the file or directory.
    Example: "public_html"

  - `result.data.onDiskType` (string)
    The item type stored on the disk.
* dir - A directory.
* file - A file.
* symlink - A symlink.
* unknown - An unknown file type.
    Enum: "dir", "file", "symlink", "unknown"

  - `result.data.type` (string)
    The item type stored in the backup.
* dir - A directory.
* file - A file.
* symlink - A symlink.
* unknown - An unknown file type.
    Enum: "dir", "file", "symlink", "unknown"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


